using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace garment_factory
{
    public partial class fSpisMaterial : Form
    {
        public fSpisMaterial()
        {
            InitializeComponent();
        }

       

        private void fSpisMaterial_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "fabrika2024DataSet.Tkani". При необходимости она может быть перемещена или удалена.
            this.tkaniTableAdapter.Fill(this.fabrika2024DataSet.Tkani);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "fabrika2024DataSet.Furnitura". При необходимости она может быть перемещена или удалена.
            this.furnituraTableAdapter.Fill(this.fabrika2024DataSet.Furnitura);

        }

        private void BtnSpisMaterial_Click(object sender, EventArgs e)
        {
            DialogResult rez = MessageBox.Show("Списать выбранные материалы?",
               "Внимание!", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (rez == DialogResult.No)
                return;

            for (int i = 0; i <= tkaniDataGridView.RowCount - 1; i++)
            {
                int CountSpis = 0;
                try
                {
                    CountSpis = Convert.ToInt32(tkaniDataGridView.Rows[i].Cells[3].Value);
                }
                catch { }

                if (CountSpis == 0)
                    continue;

                int LengthTkan = Convert.ToInt32(tkaniDataGridView.Rows[i].Cells[2].Value);
                LengthTkan -= CountSpis;
                tkaniDataGridView.Rows[i].Cells[2].Value = LengthTkan;
            }

            tkaniBindingSource.EndEdit();
            this.tkaniTableAdapter.Update(this.fabrika2024DataSet.Tkani);

            for (int i = 0; i <= furnituraDataGridView.RowCount - 1; i++)
            {
                int CountSpis = 0;
                try
                {
                    CountSpis = Convert.ToInt32(furnituraDataGridView.Rows[i].Cells[2].Value);
                }
                catch { }

                if (CountSpis == 0)
                    continue;

                int CountFur = Convert.ToInt32(furnituraDataGridView.Rows[i].Cells[1].Value);
                CountFur -= CountSpis;
                furnituraDataGridView.Rows[i].Cells[1].Value = CountFur;
            }

            furnituraBindingSource.EndEdit();
            this.furnituraTableAdapter.Update(this.fabrika2024DataSet.Furnitura);
        }

        private void BtnToExcel_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Документ Успешно сформирован","Внимание",MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}
